package brn.gui.reports;

import java.io.File;

import org.eclipse.birt.report.designer.internal.ui.editors.ReportEditorInput;

public class PreviewEditorInput extends ReportEditorInput {

  private String driver;
  private String url;
  private String user;
  private String password;

  public PreviewEditorInput(File file, String driver, String url,
      String user, String password) {
    super(file);
    this.driver = driver;
    this.url = url;
    this.user = user;
    this.password = password;
  }

  /**
   * @return the driver
   */
  public String getDriver() {
    return driver;
  }

  /**
   * @return the url
   */
  public String getUrl() {
    return url;
  }

  /**
   * @return the user
   */
  public String getUser() {
    return user;
  }

  /**
   * @return the password
   */
  public String getPassword() {
    return password;
  }

}
